AbstractConflictManager
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.conflict
Class AbstractConflictManager

    java.lang.Object
      org.apache.ivy.plugins.conflict.AbstractConflictManager

All Implemented Interfaces:
  ConflictManager, IvySettingsAware

Direct Known Subclasses:
  FixedConflictManager, LatestConflictManager, NoConflictManager, RegexpConflictManager, StrictConflictManager

    public abstract class AbstractConflictManager

extends java.lang.Object
implements ConflictManager, IvySettingsAware

Constructor Summary
`AbstractConflictManager()`

Method Summary
`java.lang.String` | `getName()`
`IvySettings` | `getSettings()`
`void` | `handleAllBlacklistedRevisions(DependencyDescriptor dd, java.util.Collection foundBlacklisted)` Method called when all revisions available for a version constraint have been blacklisted, and thus the dependency can't be resolved.
`void` | `setName(java.lang.String name)`
`void` | `setSettings(IvySettings settings)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ivy.plugins.conflict.ConflictManager
`resolveConflicts`

Constructor Detail

### AbstractConflictManager

    public AbstractConflictManager()

Method Detail

### getSettings

    public IvySettings getSettings()

### setSettings

    public void setSettings(IvySettings settings)

  Specified by:
    `setSettings` in interface `IvySettingsAware`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ConflictManager`

### setName

    public void setName(java.lang.String name)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### handleAllBlacklistedRevisions

    public void handleAllBlacklistedRevisions(DependencyDescriptor dd,
                                              java.util.Collection foundBlacklisted)

  Description copied from interface: `ConflictManager`
  Method called when all revisions available for a version constraint have been blacklisted, and thus the dependency can't be resolved.

  This will never happen if the conflict manager doesn't blacklist any module, so providing an empty implementation in this case is fine.

  Specified by:
    `handleAllBlacklistedRevisions` in interface `ConflictManager`
  Parameters:
    `dd` - the dependency descriptor for which all revisions are blacklisted.
    `foundBlacklisted` - the list of all ModuleRevisionId found which are blacklisted

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD